/vercel-teams | Type: Application | PCID required: Yes
Tools
vercel_teams_create_auth_token
Create an Auth Token Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
expiresAt | number | No | — | Expires At |
name | string | Yes | — | The name value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"expiresAt": {
"type": "number",
"description": "Expires At"
},
"name": {
"type": "string",
"description": "The name value"
}
},
"required": [
"PCID",
"name"
]
}
vercel_teams_create_team
Create a Team Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
attribution | object | No | — | Attribution information for the session or current page |
name | string | No | — | The desired name for the Team. It will be generated from the provided slug if nothing is provided |
slug | string | Yes | — | The desired slug for the Team |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"attribution": {
"type": "object",
"description": "Attribution information for the session or current page",
"properties": {
"sessionReferrer": {
"type": "string",
"description": "Session referrer"
},
"landingPage": {
"type": "string",
"description": "Session landing page"
},
"pageBeforeConversionPage": {
"type": "string",
"description": "Referrer to the signup page"
},
"utm": {
"type": "object",
"description": "The utm value"
}
}
},
"name": {
"type": "string",
"description": "The desired name for the Team. It will be generated from the provided slug if nothing is provided"
},
"slug": {
"type": "string",
"description": "The desired slug for the Team"
}
},
"required": [
"PCID",
"slug"
]
}
vercel_teams_delete_auth_token
Delete an authentication token Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
tokenId | string | Yes | — | The identifier of the token to invalidate. The special value “current” may be supplied, which invalidates the token that the HTTP request was authenticated with. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"tokenId": {
"type": "string",
"description": "The identifier of the token to invalidate. The special value \\\"current\\\" may be supplied, which invalidates the token that the HTTP request was authenticated with."
}
},
"required": [
"PCID",
"tokenId"
]
}
vercel_teams_delete_microfrontends_group
Delete a microfrontends group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
groupId | string | Yes | — | The microfrontend group ID to delete. |
teamId | string | Yes | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"groupId": {
"type": "string",
"description": "The microfrontend group ID to delete."
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"groupId",
"teamId"
]
}
vercel_teams_delete_team
Delete a Team Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
newDefaultTeamId | string | No | — | Id of the team to be set as the new default team |
teamId | string | Yes | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
reasons | object[] | No | — | Optional array of objects that describe the reason why the team is being deleted. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"newDefaultTeamId": {
"type": "string",
"description": "Id of the team to be set as the new default team"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"reasons": {
"type": "array",
"items": {
"type": "object",
"properties": {
"slug": {
"type": "string",
"description": "Idenitifier slug of the reason why the team is being deleted."
},
"description": {
"type": "string",
"description": "Description of the reason why the team is being deleted."
}
},
"required": [
"slug",
"description"
]
},
"description": "Optional array of objects that describe the reason why the team is being deleted."
}
},
"required": [
"PCID",
"teamId"
]
}
vercel_teams_delete_team_invite_code
Delete a Team invite code Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
inviteId | string | Yes | — | The Team invite code ID. |
teamId | string | Yes | — | The Team identifier to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"inviteId": {
"type": "string",
"description": "The Team invite code ID."
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
}
},
"required": [
"PCID",
"inviteId",
"teamId"
]
}
vercel_teams_exchange_sso_token
SSO Token Exchange Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
vercel_teams_get_auth_token
Get Auth Token Metadata Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
tokenId | string | Yes | — | The identifier of the token to retrieve. The special value “current” may be supplied, which returns the metadata for the token that the current HTTP request is authenticated with. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"tokenId": {
"type": "string",
"description": "The identifier of the token to retrieve. The special value \\\"current\\\" may be supplied, which returns the metadata for the token that the current HTTP request is authenticated with."
}
},
"required": [
"PCID",
"tokenId"
]
}
vercel_teams_get_auth_user
Get the UserShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
vercel_teams_get_team
Get a Team Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
slug | string | No | — | The slug value |
teamId | string | Yes | — | The Team identifier to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"slug": {
"type": "string",
"description": "The slug value"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
}
},
"required": [
"PCID",
"teamId"
]
}
vercel_teams_get_team_access_request
Get access request status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
userId | string | Yes | — | The unique user identifier |
teamId | string | Yes | — | The unique team identifier |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"userId": {
"type": "string",
"description": "The unique user identifier"
},
"teamId": {
"type": "string",
"description": "The unique team identifier"
}
},
"required": [
"PCID",
"userId",
"teamId"
]
}
vercel_teams_get_team_members
List team members Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | number | No | — | Limit how many teams should be returned |
since | number | No | — | Timestamp in milliseconds to only include members added since then. |
until | number | No | — | Timestamp in milliseconds to only include members added until then. |
search | string | No | — | Search team members by their name, username, and email. |
role | string | No | — | Only return members with the specified team role. |
excludeProject | string | No | — | Exclude members who belong to the specified project. |
eligibleMembersForProjectId | string | No | — | Include team members who are eligible to be members of the specified project. |
teamId | string | Yes | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "number",
"description": "Limit how many teams should be returned"
},
"since": {
"type": "number",
"description": "Timestamp in milliseconds to only include members added since then."
},
"until": {
"type": "number",
"description": "Timestamp in milliseconds to only include members added until then."
},
"search": {
"type": "string",
"description": "Search team members by their name, username, and email."
},
"role": {
"type": "string",
"description": "Only return members with the specified team role.",
"enum": [
"OWNER",
"MEMBER",
"DEVELOPER",
"SECURITY",
"BILLING",
"VIEWER",
"VIEWER_FOR_PLUS",
"CONTRIBUTOR"
]
},
"excludeProject": {
"type": "string",
"description": "Exclude members who belong to the specified project."
},
"eligibleMembersForProjectId": {
"type": "string",
"description": "Include team members who are eligible to be members of the specified project."
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"teamId"
]
}
vercel_teams_get_teams
List all teams Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | number | No | — | Maximum number of Teams which may be returned. |
since | number | No | — | Timestamp (in milliseconds) to only include Teams created since then. |
until | number | No | — | Timestamp (in milliseconds) to only include Teams created until then. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "number",
"description": "Maximum number of Teams which may be returned."
},
"since": {
"type": "number",
"description": "Timestamp (in milliseconds) to only include Teams created since then."
},
"until": {
"type": "number",
"description": "Timestamp (in milliseconds) to only include Teams created until then."
}
},
"required": [
"PCID"
]
}
vercel_teams_invite_user_to_team
Invite a user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | Yes | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
body | object[] | No | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"email": {
"type": "string",
"format": "email",
"description": "The email address of the user to invite"
},
"role": {
"type": "string",
"enum": [
"OWNER",
"MEMBER",
"DEVELOPER",
"SECURITY",
"BILLING",
"VIEWER",
"VIEWER_FOR_PLUS",
"CONTRIBUTOR"
],
"description": "The role of the user to invite"
},
"projects": {
"type": "array",
"items": {
"type": "object",
"properties": {
"projectId": {
"type": "string",
"description": "The ID of the project."
},
"role": {
"type": "string",
"description": "Sets the project roles for the invited user"
}
}
},
"description": "The projects value"
}
},
"required": [
"email"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"teamId"
]
}
vercel_teams_join_team
Join a team Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | Yes | — | The unique team identifier |
inviteCode | string | No | — | The invite code to join the team. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamId": {
"type": "string",
"description": "The unique team identifier"
},
"inviteCode": {
"type": "string",
"description": "The invite code to join the team."
}
},
"required": [
"PCID",
"teamId"
]
}
vercel_teams_list_auth_tokens
List Auth TokensShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
vercel_teams_list_event_types
List Event Types Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID"
]
}
vercel_teams_list_user_events
List User Events Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | number | No | — | Maximum number of items which may be returned. |
since | string | No | — | Timestamp to only include items created since then. |
until | string | No | — | Timestamp to only include items created until then. |
types | string | No | — | Comma-delimited list of event “types” to filter the results by. |
userId | string | No | — | Deprecated. Use principalId instead. If principalId and userId both exist, principalId will be used. |
principalId | string | No | — | When retrieving events for a Team, the principalId parameter may be specified to filter events generated by a specific principal. |
projectIds | string | No | — | Comma-delimited list of project IDs to filter the results by. |
withPayload | string | No | — | When set to true, the response will include the payload field for each event. |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "number",
"description": "Maximum number of items which may be returned."
},
"since": {
"type": "string",
"description": "Timestamp to only include items created since then."
},
"until": {
"type": "string",
"description": "Timestamp to only include items created until then."
},
"types": {
"type": "string",
"description": "Comma-delimited list of event \\\"types\\\" to filter the results by."
},
"userId": {
"type": "string",
"description": "Deprecated. Use `principalId` instead. If `principalId` and `userId` both exist, `principalId` will be used."
},
"principalId": {
"type": "string",
"description": "When retrieving events for a Team, the `principalId` parameter may be specified to filter events generated by a specific principal."
},
"projectIds": {
"type": "string",
"description": "Comma-delimited list of project IDs to filter the results by."
},
"withPayload": {
"type": "string",
"description": "When set to `true`, the response will include the `payload` field for each event."
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID"
]
}
vercel_teams_patch_team
Update a Team Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
teamId | string | Yes | — | The Team identifier to perform the request on behalf of. | |
slug | string | No | — | The Team slug to perform the request on behalf of. | |
avatar | string | No | — | The hash value of an uploaded image. | |
defaultDeploymentProtection | object | No | — | Default deployment protection settings for new projects. | |
defaultExpirationSettings | object | No | — | Default Expiration Settings | |
description | string | No | — | A short text that describes the team. | |
emailDomain | string | null | No | — | Email Domain |
enablePreviewFeedback | string | No | — | Enable preview toolbar: one of on, off or default. | |
enableProductionFeedback | string | No | — | Enable production toolbar: one of on, off or default. | |
hideIpAddresses | boolean | No | — | Display or hide IP addresses in Monitoring queries. | |
hideIpAddressesInLogDrains | boolean | No | — | Display or hide IP addresses in Log Drains. | |
name | string | No | — | The name of the team. | |
nsnbConfig | object | No | — | Nsnb Config | |
previewDeploymentSuffix | string | null | No | — | Suffix that will be used for all preview deployments. |
regenerateInviteCode | boolean | No | — | Create a new invite code and replace the current one. | |
remoteCaching | object | No | — | Whether or not remote caching is enabled for the team | |
resourceConfig | object | No | — | Resource configuration for the team. | |
saml | object | No | — | The saml value | |
sensitiveEnvironmentVariablePolicy | string | No | — | Sensitive environment variable policy: one of on, off or default. | |
strictDeploymentProtectionSettings | object | No | — | When enabled, deployment protection settings require stricter permissions (owner-only). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"avatar": {
"type": "string",
"description": "The hash value of an uploaded image."
},
"defaultDeploymentProtection": {
"type": "object",
"description": "Default deployment protection settings for new projects.",
"properties": {
"passwordProtection": {
"type": "object",
"description": "Allows to protect project deployments with a password"
},
"ssoProtection": {
"type": "object",
"description": "Ensures visitors to your Preview Deployments are logged into Vercel and have a minimum of Viewer access on your team"
}
}
},
"defaultExpirationSettings": {
"type": "object",
"description": "Default Expiration Settings",
"properties": {
"expiration": {
"type": "string",
"description": "The time period to keep non-production deployments for",
"enum": [
"3y",
"2y",
"1y",
"6m",
"3m",
"2m",
"1m",
"2w",
"1w",
"1d",
"unlimited"
]
},
"expirationProduction": {
"type": "string",
"description": "The time period to keep production deployments for",
"enum": [
"3y",
"2y",
"1y",
"6m",
"3m",
"2m",
"1m",
"2w",
"1w",
"1d",
"unlimited"
]
},
"expirationCanceled": {
"type": "string",
"description": "The time period to keep canceled deployments for",
"enum": [
"1y",
"6m",
"3m",
"2m",
"1m",
"2w",
"1w",
"1d",
"unlimited"
]
},
"expirationErrored": {
"type": "string",
"description": "The time period to keep errored deployments for",
"enum": [
"1y",
"6m",
"3m",
"2m",
"1m",
"2w",
"1w",
"1d",
"unlimited"
]
}
}
},
"description": {
"type": "string",
"description": "A short text that describes the team."
},
"emailDomain": {
"type": [
"string",
"null"
],
"description": "Email Domain"
},
"enablePreviewFeedback": {
"type": "string",
"description": "Enable preview toolbar: one of on, off or default."
},
"enableProductionFeedback": {
"type": "string",
"description": "Enable production toolbar: one of on, off or default."
},
"hideIpAddresses": {
"type": "boolean",
"description": "Display or hide IP addresses in Monitoring queries."
},
"hideIpAddressesInLogDrains": {
"type": "boolean",
"description": "Display or hide IP addresses in Log Drains."
},
"name": {
"type": "string",
"description": "The name of the team."
},
"nsnbConfig": {
"description": "Nsnb Config"
},
"previewDeploymentSuffix": {
"type": [
"string",
"null"
],
"description": "Suffix that will be used for all preview deployments."
},
"regenerateInviteCode": {
"type": "boolean",
"description": "Create a new invite code and replace the current one."
},
"remoteCaching": {
"type": "object",
"description": "Whether or not remote caching is enabled for the team",
"properties": {
"enabled": {
"type": "boolean",
"description": "Enable or disable remote caching for the team."
}
}
},
"resourceConfig": {
"type": "object",
"description": "Resource configuration for the team.",
"properties": {
"buildMachine": {
"type": "object",
"description": "Build machine configuration."
}
}
},
"saml": {
"type": "object",
"description": "The saml value",
"properties": {
"enforced": {
"type": "boolean",
"description": "Require that members of the team use SAML Single Sign-On."
},
"roles": {
"type": "object",
"description": "Directory groups to role or access group mappings."
}
}
},
"sensitiveEnvironmentVariablePolicy": {
"type": "string",
"description": "Sensitive environment variable policy: one of on, off or default."
},
"strictDeploymentProtectionSettings": {
"type": "object",
"description": "When enabled, deployment protection settings require stricter permissions (owner-only).",
"properties": {
"enabled": {
"type": "boolean",
"description": "Enable or disable strict deployment protection settings."
}
},
"required": [
"enabled"
]
}
},
"required": [
"PCID",
"teamId"
]
}
vercel_teams_post_team_dsync_roles
Update Team Directory Sync Role Mappings Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | Yes | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
roles | object | Yes | — | Directory groups to role or access group mappings. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"roles": {
"type": "object",
"description": "Directory groups to role or access group mappings."
}
},
"required": [
"PCID",
"teamId",
"roles"
]
}
vercel_teams_remove_team_member
Remove a Team Member Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
uid | string | Yes | — | The user ID of the member. |
newDefaultTeamId | string | No | — | The ID of the team to set as the new default team for the Northstar user. |
teamId | string | Yes | — | The unique team identifier |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"uid": {
"type": "string",
"description": "The user ID of the member."
},
"newDefaultTeamId": {
"type": "string",
"description": "The ID of the team to set as the new default team for the Northstar user."
},
"teamId": {
"type": "string",
"description": "The unique team identifier"
}
},
"required": [
"PCID",
"uid",
"teamId"
]
}
vercel_teams_request_access_to_team
Request access to a team Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | Yes | — | The unique team identifier |
joinedFrom | object | Yes | — | Joined From |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamId": {
"type": "string",
"description": "The unique team identifier"
},
"joinedFrom": {
"type": "object",
"description": "Joined From",
"properties": {
"origin": {
"type": "string",
"description": "The origin of the request.",
"enum": [
"import",
"teams",
"github",
"gitlab",
"bitbucket",
"feedback",
"organization-teams"
]
},
"commitId": {
"type": "string",
"description": "The commit sha if the origin is a git provider."
},
"repoId": {
"type": "string",
"description": "The ID of the repository for the given Git provider."
},
"repoPath": {
"type": "string",
"description": "The path to the repository for the given Git provider."
},
"gitUserId": {
"description": "The ID of the Git account of the user who requests access."
},
"gitUserLogin": {
"type": "string",
"description": "The login name for the Git account of the user who requests access."
}
},
"required": [
"origin"
]
}
},
"required": [
"PCID",
"teamId",
"joinedFrom"
]
}
vercel_teams_request_delete
Delete User Account Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
reasons | object[] | No | — | Optional array of objects that describe the reason why the User account is being deleted. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"reasons": {
"type": "array",
"items": {
"type": "object",
"properties": {
"slug": {
"type": "string",
"description": "Idenitifier slug of the reason why the User account is being deleted."
},
"description": {
"type": "string",
"description": "Description of the reason why the User account is being deleted."
}
},
"required": [
"slug",
"description"
]
},
"description": "Optional array of objects that describe the reason why the User account is being deleted."
}
},
"required": [
"PCID"
]
}
vercel_teams_update_microfrontends_group
Update a microfrontends group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
groupId | string | Yes | — | Group Id |
teamId | string | Yes | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
fallbackEnvironment | string | No | — | The new fallback environment for the microfrontends group. Must be “SAME_ENV”, “PRODUCTION”, or a valid custom environment slug from the default app. |
name | string | No | — | The new name for the existing microfrontends group. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"groupId": {
"type": "string",
"description": "Group Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"fallbackEnvironment": {
"type": "string",
"description": "The new fallback environment for the microfrontends group. Must be \\\"SAME_ENV\\\", \\\"PRODUCTION\\\", or a valid custom environment slug from the default app."
},
"name": {
"type": "string",
"description": "The new name for the existing microfrontends group."
}
},
"required": [
"PCID",
"groupId",
"teamId"
]
}
vercel_teams_update_team_member
Update a Team Member Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
uid | string | Yes | — | The ID of the member. |
teamId | string | Yes | — | The unique team identifier |
confirmed | boolean | No | — | Accept a user who requested access to the team. |
joinedFrom | object | No | — | Joined From |
projects | object[] | No | — | The projects value |
role | string | No | — | The role in the team of the member. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"uid": {
"type": "string",
"description": "The ID of the member."
},
"teamId": {
"type": "string",
"description": "The unique team identifier"
},
"confirmed": {
"type": "boolean",
"description": "Accept a user who requested access to the team.",
"enum": [
true
]
},
"joinedFrom": {
"type": "object",
"description": "Joined From",
"properties": {
"ssoUserId": {
"description": "Sso User Id"
}
}
},
"projects": {
"type": "array",
"items": {
"type": "object",
"properties": {
"projectId": {
"type": "string",
"description": "The ID of the project."
},
"role": {
"type": "string",
"enum": [
"ADMIN",
"PROJECT_VIEWER",
"PROJECT_DEVELOPER"
],
"description": "The project role of the member that will be added. \\\"null\\\" will remove this project level role."
}
},
"required": [
"role",
"projectId"
]
},
"description": "The projects value"
},
"role": {
"type": "string",
"description": "The role in the team of the member."
}
},
"required": [
"PCID",
"uid",
"teamId"
]
}

